Jump to content

flagman

Пользователи
  • Posts

    337
  • Joined

  • Last visited

  • Days Won

    1

flagman last won the day on September 26 2017

flagman had the most liked content!

About flagman

  • Birthday August 4

Информация

  • Пол
    Мужчина
  • Город
    Сочи/Тюмень
  • Интересы
    Электроника, проектирование систем связи, безопасности. ~/FreeBSD

Recent Profile Visitors

5,977 profile views

flagman's Achievements

Apprentice

Apprentice (3/14)

  • First Post Rare
  • Collaborator Rare
  • Reacting Well Rare
  • Conversation Starter Rare
  • Week One Done Rare

Recent Badges

32

Reputation

  1. Добрый день! Прошу подсказать, есть группа блоков необходимо изменить их размер (масштаб) без изменения их положения на плане Как можно это сделать? Может какой LISP?
  2. Спасибо большое! Да так все очень понятно! А если наименование позиции может изменятся и не совпадать со статическими позициями в заголовке,- как то можно чтоб значения в заголовке менялись на найденные наименования в отчете? добавлено через 4 минут Хотя наверно предположу что не получится без второго отчета
  3. Спасибо за ответ, можно подробнее про данный вариант? Посмотрел по вложенным примерам не нашел, где такой способ реализован.
  4. Добрый день! Прошу подсказать, есть ли такая возможность в строках "итог отчета", сделать объединение одинаковых позиций из строк "отчета", например: строки отчета: наименование | вес помидоры 5 кг огурцы 1 кг помидоры 10 кг огурцы 3 кг строки итог отчета: наименование | вес помидоры 15 кг огурцы 4 кг
  5. Добрый день!!!! Благодарю Вас, работает, как вы это сделали?! Расскажите подробнее пожалуйста!
  6. Добрый день! Прошу помощи, создал дин. блок в Нанокаде 22, в одном из атрибутов - Обозначение, я ввожу поле с указанием данного же блока с указанием других атрибутов, чтоб получить объедененный вид данных атрибутов, но вместо того чтоб в новом поле указывались текущие значения атрибутов, почему то указывается их изначальное значение. Что необходимо исправить? блок для вопроса.dwg
  7. Добрый день! Прошу помощи, есть lisp который позволяет нумеровать атрибуты в блоках последовательно по согласно выбору по щелчку мышки. В АКАДЕ работает без проблемм. В нанокаде отказывается, в коде не силен, прошу помощи по адаптации этого кода для нанокада. (defun *error* (msg) (if (= msg "Function cancelled") (princ msg)(princ));if (setvar "CMDECHO" cmd) (setvar "PICKAUTO" pca) );*error* (defun C:KAN ( / ass cmd pca dn n at ast val) (setq adoc (vla-get-ActiveDocument (vlax-get-acad-object)) cmd (getvar "CMDECHO") pca (getvar "PICKAUTO") n 0);setq (setvar "CMDECHO" 0) (initget "Number Renumber") (setq kw (getkword "\n[Number/Renumber]? <N>")) (if (null kw) (setq kw "Number")) (if (= kw "Number") (setvar "PICKAUTO" 0)) (setq dn (getint "\nInput Start or Offset Number: <1>")) (if (null dn) (setq dn 1)) (prompt (strcat "\nSelect Blocks for " kw "ing: ")) (ssget) (setq ass (vla-get-ActiveSelectionSet adoc)) (vlax-for sb ass (if (= (vla-get-objectname sb) "AcDbBlockReference") (progn (setq at (car (vlax-safearray->list (vlax-variant-value (vla-getattributes sb)))) ast (vla-get-TextString at) val ast);setq (while (wcmatch val "*@*") (setq val (substr ov 2))) (vla-put-TextString at (strcat (vl-string-right-trim val ast) (if (= kw "Number") (itoa (+ n dn))(itoa (+ (atoi val) dn)))));vla-put (setq n (1+ n)));progn (alert "Oops! It's not a Block!"));if );vlax-for (setvar "CMDECHO" cmd) (setvar "PICKAUTO" pca) );end KAN.lsp
  8. А в ОПС когда планируете? Имею ввиду что проект Нанокад ОПС должен лежать локально на ПК на диске, а если на сервер в предприятии выложить "на шаринг" то открыть не получиться
  9. Добрый день! Вопрос по развитию Нанокад ОПС 22, когда все таки будет многопользовательский режим работы в проекте и возможность открывать проекты с сетевых ресурсов?
×
×
  • Create New...